package com.shxy.xymanager_admin;

import lombok.extern.slf4j.Slf4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.core.env.Environment;

@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class})
@MapperScan("com.shxy.**.dao")
@EnableAspectJAutoProxy(exposeProxy = true)
@Slf4j
@EnableConfigurationProperties
@ComponentScan(basePackages = {"com.shxy"})
@EnableCaching
public class XymanagerAdminApplication extends SpringBootServletInitializer{

    public static void main(String[] args) {
        try {
            ConfigurableApplicationContext context = SpringApplication.run(XymanagerAdminApplication.class, args);
            Environment environment = context.getBean(Environment.class);
            log.info("访问端口：" + environment.getProperty("server.port"));
            log.info("访问上下文：" + environment.getProperty("server.servlet.context-path"));
            log.info("Application is running.......................");
            System.out.println("(♥◠‿◠)ﾉﾞ  启动成功   ლ(´ڡ`ლ)ﾞ  \n");
        } catch (Exception e) {
            e.printStackTrace();
            log.error("error>>>>>>>>>>>>>>>>>>>>>>>>>>>", e);
        }
    }
    @Override
    protected SpringApplicationBuilder configure(SpringApplicationBuilder application){
        return application.sources(XymanagerAdminApplication.class);
    }
}
