package com.shxy.xymanager_admin.controller;

import com.shxy.xymanager_common.annotation.Log;
import com.shxy.xymanager_common.base.BaseController;
import com.shxy.xymanager_common.base.ResponseReult;
import com.shxy.xymanager_common.bean.ServiceBody;
import com.shxy.xymanager_common.bean.ServiceStatus;
import com.shxy.xymanager_service.service.GloablParamsService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;


@Api(value = "全局参数设置接口", tags = "全局参数设置接口相关")
@RestController
@Slf4j
public class GloableParamsController extends BaseController {

    @Autowired
    GloablParamsService gloableParamsService;

    @ApiOperation(value = "查询图片绘制开关状态", notes = "查询图片绘制开关状态接口", httpMethod = "POST")
    @ApiResponses({@ApiResponse(code = 200, message = "请求成功"), @ApiResponse(code = 400, message = "请求参数没填好"), @ApiResponse(code = 404, message = "请求路径没有或页面跳转路径不对")})
    @RequestMapping("/getMarkEnableStatus")
    @Log(title = "查询图片绘制开关状态", type = "查询")
    public ResponseReult<Integer> getMarkEnableStatus() {
        ServiceBody<Integer> serviceBody = gloableParamsService.getMarkEnableStatus();
        if (serviceBody.getCode() == ServiceStatus.SUCCESS) {
            return ResponseReult.success(serviceBody.getData());
        } else {
            return ResponseReult.error(serviceBody.getCode(), serviceBody.getMsg());
        }
    }

    @ApiOperation(value = "修改图片绘制开关状态", notes = "修改图片绘制开关状态接口", httpMethod = "POST")
    @ApiResponses({@ApiResponse(code = 200, message = "请求成功"), @ApiResponse(code = 400, message = "请求参数没填好"), @ApiResponse(code = 404, message = "请求路径没有或页面跳转路径不对")})
    @RequestMapping("/updateMarkEnableStatus")
    @Log(title = "修改图片绘制开关状态", type = "修改")
    public ResponseReult<String> updateMarkEnableStatus(@RequestParam("status")  Integer status) {
        ServiceBody<String> serviceBody = gloableParamsService.updateMarkEnableStatus(status);
        if (serviceBody.getCode() == ServiceStatus.SUCCESS) {
            return ResponseReult.success(serviceBody.getData());
        } else {
            return ResponseReult.error(serviceBody.getCode(), serviceBody.getMsg());
        }
    }


}
