package com.shxy.xymanager_admin.test;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.mysql.cj.xdevapi.JsonArray;

import java.sql.*;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.List;

public class Test {

    private static Connection con;

    public static void main(String[] args) throws Exception {
        String driver = "com.mysql.jdbc.Driver";
        //这里我的数据库是cgjr
        String url = "jdbc:mysql://47.96.238.157:3306/xymp?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8";
        String user = "xymp";
        String password = "Xymp@2023";
        try {
            Class.forName(driver);
            con = DriverManager.getConnection(url, user, password);
            if (!con.isClosed()) {
                System.out.println("数据库连接成功");
            }
            Statement statement = con.createStatement();
            int checkid = 0;
            String checksql = "SELECT * FROM terminal_img_alarms_check where `key` = 'alarm_check';";//查询记录表
            ResultSet checkresultSet = statement.executeQuery(checksql);
            while (checkresultSet.next()) {
                checkid = checkresultSet.getInt("value");
            }
            checkresultSet.close();

//            执行查询语句
            String sql = String.format("SELECT * FROM v_img_alarms where id > %d;", checkid);//查询报警图片视图
            ResultSet resultSet = statement.executeQuery(sql);

//            打印查询出来的东西
            Integer id = null;//
            List<AlarmImgBean> list = new ArrayList<>();
            while (resultSet.next()) {
                id = resultSet.getInt("id");
                Integer termid = resultSet.getInt("term_id");
                Integer channelid = resultSet.getInt("channel_id");
                Integer orgid = resultSet.getInt("photo_org_id");
                Date time = resultSet.getDate("alarm_time");
                String alarminfo = resultSet.getString("alarm_info");
                String path = resultSet.getString("path");
                String cmdid = resultSet.getString("cmdid");
                Integer mediatype = resultSet.getInt("media_type");
                AlarmImgBean alarmImgBean = new AlarmImgBean();
                alarmImgBean.setTermid(termid);
                alarmImgBean.setChannelid(channelid);
                alarmImgBean.setOrgid(orgid);
                alarmImgBean.setTime(time);
                alarmImgBean.setAlarminfo(alarminfo);
                alarmImgBean.setPath(path);
                alarmImgBean.setCmdid(cmdid);
                alarmImgBean.setMediatype(mediatype);
                list.add(alarmImgBean);
            }
            //            关闭连接
            resultSet.close();
            System.out.println("数据库已关闭连接");

            if (list.size() >0) {
                SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
                JsonArray jsonArray = new JsonArray();
                for (AlarmImgBean item : list) {
                    String info = item.getAlarminfo();
                    JSONObject jsonObject = JSONObject.parseObject(info);
                    JSONArray alarmlist = jsonObject.getJSONArray("list");
                    for (Object ite : alarmlist) {
                        JSONObject jo = JSONObject.parseObject(String.valueOf(ite));
                        String nameCn = jo.getString("nameCn");
                        RequestAlarmImgBean bean = new RequestAlarmImgBean();
                        bean.setDeviceld(item.getCmdid());
                        String date = sdf.format(item.getTime());
                        bean.setAlarmDate(date);
                        bean.setAlarmType(nameCn);
                        bean.setMessage(nameCn);
                        //TODO  图片路径待完善
                        if (item.getMediatype() == 0) {
                            bean.setPicurl(item.getPath());
                        } else {
                            bean.setPicurl(item.getPath());
                        }
                        //TODO  公司id待确认
                        bean.setCompanyld("xy");
                        jsonArray.add(bean);
                    }
                }
                String s = PostUtil.sendPost("http://127.0.0.1:8093/api/gettest", JSON.toJSONString(jsonArray));
                JSONObject jsonObject = JSON.parseObject(s);
                if (jsonObject.getInteger("code") == 200) {
                    if (id != null) {
                        String updatesql = String.format("update terminal_img_alarms_check SET value = %d where `key` = 'alarm_check';", id);//查询报警图片视图
                        int i = statement.executeUpdate(updatesql);
                    }
                } else {
                    System.out.println("失败");
                }
            }else {
                System.out.println("没有需要上传的报错数据");
            }
        } catch (ClassNotFoundException e) {
            System.out.println("数据库驱动没有安装");
        } catch (SQLException e) {
            System.out.println("数据库连接失败");
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            con.close();
        }
    }
}
