package com.shxy.xymanager_common.exception;


import com.shxy.xymanager_common.bean.ServiceBody;
import com.shxy.xymanager_common.bean.ServiceStatus;

/**
 * 断言处理类，用于抛出各种API异常
 * Created by macro on 2020/2/27.
 */
public class Asserts {
    public static void fail(String message) {
        throw new ApiException(message);
    }

    public static void fail(IErrorCode errorCode) {
        throw new ApiException(errorCode);
    }

    public static void fail(int errorCode, String message) {
        throw new ApiException(errorCode, message);
    }


    public static <T> ServiceBody<T> success(T data) {
        ServiceBody<T> serviceBody = new ServiceBody<T>();
        serviceBody.setCode(ServiceStatus.SUCCESS);
        serviceBody.setData(data);
        return serviceBody;
    }

    public static <T> ServiceBody<T> error(String data) {
        ServiceBody<T> serviceBody = new ServiceBody<T>();
        serviceBody.setCode(ServiceStatus.ERROR);
        serviceBody.setData(null);
        serviceBody.setMsg(data);
        return serviceBody;
    }
}
