package com.shxy.xymanager_common.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 所有杆塔列表
 */
@Data
@ApiModel(value = "所有杆塔列表", description = "获取杆塔线路列表信息")
public class AllTowerListModel implements Serializable {

    @ApiModelProperty(value = "所有杆塔列表", example = "[]")
    private List<TowerBean> list;

    @Data
    public static class TowerBean {

        @ApiModelProperty(value = "杆塔编号", example = "123456")
        private Integer id;

        @ApiModelProperty(value = "杆塔名称", example = "AAAA")
        private String name;

        @ApiModelProperty(value = "线路编号", example = "123456")
        private Integer lineId;

        @ApiModelProperty(value = "线路编号", example = "123456")
        private String lineName;

        @ApiModelProperty(value = "杆塔排序", example = "123456")
        private Integer order;

    }
}
