package com.shxy.xymanager_common.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 电压线路和通道树状图列表
 */
@Data
@ApiModel(value = "电压线路和通道树状图列表", description = "电压线路和通道树状图列表信息")
public class DyLineTreeAndChannelListModel implements Serializable {
    @ApiModelProperty(value = "通道列表", example = "[]")
    private List<ChannelChooseBean> channellist;

    @ApiModelProperty(value = "电压列表", example = "[]")
    private List<DyListBean> list;

    @Data
    public static class DyListBean {
        @ApiModelProperty(value = "电压编号", example = "123456")
        private Integer id;

        @ApiModelProperty(value = "电压名称", example = "AAAA")
        private String name;

        @ApiModelProperty(value = "电压大小", example = "AAAA")
        private Integer dyValue;

        @ApiModelProperty(value = "线路列表", example = "[]")
        private List<LineBean> list;
    }

    @Data
    public static class LineBean {

        @ApiModelProperty(value = "线路编号", example = "123456")
        private Integer id;

        @ApiModelProperty(value = "线路名称", example = "AAAA")
        private String name;

        @ApiModelProperty(value = "单位", example = "123456")
        private String bsManufacturer;

        @ApiModelProperty(value = "装置信息", example = "123456")
        private List<TerminalBean> list;

    }

    @Data
    public static class TerminalBean {

        @ApiModelProperty(value = "装置编号", example = "123456")
        private Integer id;

        @ApiModelProperty(value = "杆塔编号", example = "123456")
        private Integer towerid;

        @ApiModelProperty(value = "图像监测装置 ID（17 位编码）", example = "12345678")
        private String cmdid;

        @ApiModelProperty(value = "显示名", example = "名称名称")
        private String name;

        @ApiModelProperty(value = "通道信息", example = "123456")
        private List<ChannelBean> list;

    }

    @Data
    public static class ChannelBean {

        @ApiModelProperty(value = "通道id", example = "12321")
        private Integer id;

        @ApiModelProperty(value = "通道名称", example = "123456")
        private String name;

        @ApiModelProperty(value = "拍照规则编号", example = "123456")
        private Integer scheduleid;

    }

    @Data
    public static class ChannelChooseBean {

        @ApiModelProperty(value = "通道id", example = "12321")
        private Integer id;

        @ApiModelProperty(value = "通道名称", example = "123456")
        private String name;


    }
}
