package com.shxy.xymanager_common.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 电压线路树状图列表
 */
@Data
@ApiModel(value = "获取电压线路树状图列表", description = "获取电压线路树状图列表信息")
public class DyLineTreeListModel implements Serializable {
    @ApiModelProperty(value = "电压列表", example = "[]")
    private List<DyListBean> list;

    @Data
    public static class DyListBean {
        @ApiModelProperty(value = "电压编号", example = "123456")
        private Integer id;

        @ApiModelProperty(value = "电压名称", example = "AAAA")
        private String name;

        @ApiModelProperty(value = "电压大小", example = "AAAA")
        private Integer dyValue;

        @ApiModelProperty(value = "线路列表", example = "[]")
        private List<LineBean> list;
    }

    @Data
    public static class LineBean {

        @ApiModelProperty(value = "线路编号", example = "123456")
        private Integer id;

        @ApiModelProperty(value = "线路名称", example = "AAAA")
        private String name;

        @ApiModelProperty(value = "单位", example = "123456")
        private String bsManufacturer;

        @ApiModelProperty(value = "装置信息", example = "123456")
        private List<TerminalBean> list;

    }

    @Data
    public static class TerminalBean {

        @ApiModelProperty(value = "装置编号", example = "123456")
        private Integer id;

        @ApiModelProperty(value = "杆塔编号", example = "123456")
        private Integer towerid;

        @ApiModelProperty(value = "图像监测装置 ID（17 位编码）", example = "12345678")
        private String cmdid;

        @ApiModelProperty(value = "装置名称", example = "名称名称")
        private String equipname;

        @ApiModelProperty(value = "杆塔显示名", example = "名称名称")
        private String name;

        @ApiModelProperty(value = "装置显示名", example = "名称名称")
        private String displayname;

        @ApiModelProperty(value = "装置型号", example = "型号型号")
        private String model;

        @ApiModelProperty(value = "在线状态", example = "0--掉线1--在线")
        private Integer onlinestatus;


    }
}
