package com.shxy.xymanager_common.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 杆塔线路列表
 */
@Data
@ApiModel(value = "获取杆塔线路列表", description = "获取杆塔线路列表信息")
public class LineListModel implements Serializable {

    @ApiModelProperty(value = "总记录数", example = "120")
    private long total;
    @ApiModelProperty(value = "总页数", example = "120")
    private int totalpage;
    @ApiModelProperty(value = "当前页", example = "1")
    private int currentpage;
    @ApiModelProperty(value = "每页记录数", example = "1")
    private int pagesize;

    @ApiModelProperty(value = "杆塔线路列表", example = "[]")
    private List<LineBean> list;

    @Data
    public static class LineBean {

        @ApiModelProperty(value = "线路编号", example = "123456")
        private Integer id;

        @ApiModelProperty(value = "线路名称", example = "AAAA")
        private String name;

        @ApiModelProperty(value = "单位", example = "123456")
        private String bsManufacturer;

        @ApiModelProperty(value = "电压等级编号", example = "123456")
        private Integer dyLevelid;

        @ApiModelProperty(value = "电压等级名称", example = "123456")
        private String dyLevelname;

        @ApiModelProperty(value = "线路状态", example = "123456")
        private Integer status;

    }
}
