package com.shxy.xymanager_common.model;

import com.shxy.xymanager_common.dto.TermChannelCoordinateDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * 绘制信息
 */
@Data
@ApiModel(value = "获取绘制信息", description = "获取绘制信息")
public class PhotoMarkModel implements Serializable {

        @ApiModelProperty(value = "通道编号", example = "213")
        private Integer termId;

        @ApiModelProperty(value = "绘制ID", example = "213")
        private Integer markId;

        @NotNull(message = "通道编号")
        @ApiModelProperty(value = "通道编号", example = "213")
        private Integer channelId;

        @ApiModelProperty(value = "参考图片宽", example = "213")
        private Integer width;

        @ApiModelProperty(value = "参考图片高", example = "213")
        private Integer height;

        @ApiModelProperty(value = "线条颜色", example = "213")
        private String color;

        @ApiModelProperty(value = "线条宽度", example = "213")
        private Short boderWidth;

        @ApiModelProperty(value = "图片地址", example = "213")
        private String path;

        @ApiModelProperty(value = "通道编号和名称", example = "213")
        private List<TermChannelCoordinateDto> list;

        @ApiModelProperty(value = "", example = "0--关 1---开启")
        private Integer markEnable;

}
