package com.shxy.xymanager_common.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel(value = "查询cma结果状态列表", description = "查询Cma结果requestid的list")
public class ScheduleRequestIdListModel {

    @NotNull(message = "查询编号列表不能缺少")
    @ApiModelProperty(value = "查询结果列表", example = "123455")
    private List<RequestStatusBean> list;

    @Data
    public static class RequestStatusBean {

        @ApiModelProperty(value = "装置编号", example = "123456")
        private Integer termid;

        @ApiModelProperty(value = "通道编号", example = "AAAA")
        private Integer channelid;

        @ApiModelProperty(value = "请求编号", example = "AAAA")
        private Integer requestid;

        @ApiModelProperty(value = "下发状态", example = "0---没有成功  1--下发成功")
        private Integer status;

    }

}
