package com.shxy.xymanager_common.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

/**
 * 用户登录信息
 */
@Data
@ApiModel(value = "用户登录信息对象", description = "用户登录信息对象")
public class SysUserModel implements Serializable {
    @ApiModelProperty(value = "总记录数", example = "120")
    private long total;
    @ApiModelProperty(value = "总页数", example = "120")
    private int totalpage;
    @ApiModelProperty(value = "当前页", example = "1")
    private int currentpage;
    @ApiModelProperty(value = "每页记录数", example = "1")
    private int pagesize;
    @ApiModelProperty(value = "用户对象", example = "[]")
    private List<SysUserBean> list;

    @Data
    public static class SysUserBean {

        @ApiModelProperty(value = "编号", example = "120")
        private Integer userId;

        @ApiModelProperty(value = "用户名", example = "120")
        private String userName;

        @ApiModelProperty(value = "role", example = "120")
        private Integer role;

        @ApiModelProperty(value = "nickName", example = "120")
        private String nickName;

        @ApiModelProperty(value = "创建时间", example = "120")
        private Date createTime;


    }

    private static final long serialVersionUID = 1L;

}