package com.shxy.xymanager_common.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

/**
 * 报警列表
 */
@Data
@ApiModel(value = "报警列表", description = "报警列表信息")
public class TerminalAlarmListModel implements Serializable {
    @ApiModelProperty(value = "总记录数", example = "120")
    private long total;
    @ApiModelProperty(value = "总页数", example = "120")
    private int totalpage;
    @ApiModelProperty(value = "当前页", example = "1")
    private int currentpage;
    @ApiModelProperty(value = "每页记录数", example = "1")
    private int pagesize;
    @ApiModelProperty(value = "通道列表对象", example = "[]")
    private List<AlarmBean> list;

    @Data
    public static class AlarmBean {

        @ApiModelProperty(value = "告警编号", example = "123456")
        private BigInteger id;

        @ApiModelProperty(value = "装置编号", example = "123456")
        private Integer termId;

        @ApiModelProperty(value = "装置名称", example = "123456")
        private String displayName;

        @ApiModelProperty(value = "线路编号", example = "123456")
        private Integer lineId;

        @ApiModelProperty(value = "线路名称", example = "123456")
        private String lineName;

        @ApiModelProperty(value = "杆塔编号", example = "123456")
        private Integer towerId;

        @ApiModelProperty(value = "杆塔名称", example = "123456")
        private String towerName;

        @ApiModelProperty(value = "通道编号", example = "123456")
        private Integer channelId;

        @ApiModelProperty(value = "通道名称", example = "123456")
        private String channnelName;

        @ApiModelProperty(value = "别名", example = "123456")
        private String alias;

        @ApiModelProperty(value = "预置位编号", example = "123456")
        private Integer presetId;

        @ApiModelProperty(value = "图片编号", example = "123456")
        private BigInteger photoOrgId;

        @ApiModelProperty(value = "图片地址", example = "123456")
        private String path;

        @ApiModelProperty(value = "告警时间", example = "123456")
        private Date alarmTime;

        @ApiModelProperty(value = "识别标签编码", example = "123456")
        private Integer label;

        @ApiModelProperty(value = "告警名称", example = "123456")
        private String name;

        @ApiModelProperty(value = "告警中文", example = "123456")
        private String enname;

        @ApiModelProperty(value = "可信度", example = "123456")
        private Float prob;

        @ApiModelProperty(value = " 识别框横坐标", example = "123456")
        private Float x;

        @ApiModelProperty(value = " 识别框纵坐标", example = "123456")
        private Float y;

        @ApiModelProperty(value = "识别框宽度", example = "123456")
        private Float width;

        @ApiModelProperty(value = "识别框高度", example = "123456")
        private Float height;

        @ApiModelProperty(value = "图片宽度", example = "123456")
        private Integer photoWidth;

        @ApiModelProperty(value = "图片高度", example = "123456")
        private Integer photoHeight;

        @ApiModelProperty(value = "1", example = "0--未读 1--已读")
        private Integer isread;


    }
}
