package com.shxy.xymanager_common.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 通道列表
 */
@Data
@ApiModel(value = "APK信息列表", description = "APK信息列表")
public class TerminalApkInfoListModel implements Serializable {

    @ApiModelProperty(value = "APK信息列表", example = "[]")
    private List<ApkBean> list;

    @ApiModelProperty(value = "总记录数", example = "120")
    private long total;
    @ApiModelProperty(value = "总页数", example = "120")
    private int totalpage;
    @ApiModelProperty(value = "当前页", example = "1")
    private int currentpage;
    @ApiModelProperty(value = "每页记录数", example = "1")
    private int pagesize;

    @Data
    public static class ApkBean {

        @ApiModelProperty(value = "上传路径", example = "123456")
        private String path;

        @ApiModelProperty(value = "APK名称", example = "123456")
        private String name;

        @ApiModelProperty(value = "版本号", example = "123456")
        private String version;



    }
}
