package com.shxy.xymanager_common.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 通道列表
 */
@Data
@ApiModel(value = "通道列表", description = "通道列表信息")
public class TerminalChannelListModel implements Serializable {
    @ApiModelProperty(value = "总记录数", example = "120")
    private long total;
    @ApiModelProperty(value = "总页数", example = "120")
    private int totalpage;
    @ApiModelProperty(value = "当前页", example = "1")
    private int currentpage;
    @ApiModelProperty(value = "每页记录数", example = "1")
    private int pagesize;
    @ApiModelProperty(value = "通道列表对象", example = "[]")
    private List<ChannelBean> list;

    @Data
    public static class ChannelBean {

        @ApiModelProperty(value = "通道编号", example = "123456")
        private Integer id;

        @ApiModelProperty(value = "通道名称", example = "123456")
        private String channelname;

        @ApiModelProperty(value = "通道状态", example = "123456")
        private Integer status;

        @ApiModelProperty(value = "分辨率W", example = "123456")
        private Integer maxResolutionWidth;

        @ApiModelProperty(value = "分辨率H", example = "123456")
        private Integer maxResolutionHeight;

    }
}
