package com.shxy.xymanager_common.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 通道关联表和通道列表
 */
@Data
@ApiModel(value = "通道关联表和通道列表", description = "通道列表信息")
public class TerminalChannelMapperListModel implements Serializable {

    @ApiModelProperty(value = "gps开关", example = "0--关闭  1--开启")
    private Integer gpsstatus;
    @ApiModelProperty(value = "通道关联表和通道列表对象", example = "[]")
    private List<ChannelBean> list;

    @Data
    public static class ChannelBean {

        @ApiModelProperty(value = "装置编号", example = "123456")
        private Integer termId;

        @ApiModelProperty(value = "别名", example = "alias")
        private String alias;

        @ApiModelProperty(value = "通道编号", example = "123456")
        private Integer channelid;

        @ApiModelProperty(value = "通道名称", example = "123456")
        private String channelname;

        @ApiModelProperty(value = "通道状态", example = "123456")
        private Integer status;

        @ApiModelProperty(value = "分辨率W", example = "123456")
        private Integer maxResolutionWidth;

        @ApiModelProperty(value = "分辨率H", example = "123456")
        private Integer maxResolutionHeight;

    }
}
