package com.shxy.xymanager_common.model;

import cn.hutool.core.date.DateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 装置GPS信息对象
 */
@Data
@ApiModel(value = "装置GPS信息对象", description = "装置GPS信息")
public class TerminalGpsModel implements Serializable {

    @ApiModelProperty(value = "装置编号", example = "123456")
    private Integer termid;

    @ApiModelProperty(value = "半径", example = "123456")
    private double radius;

    @ApiModelProperty(value = "纬度", example = "123456")
    private double latitude;

    @ApiModelProperty(value = "经度", example = "123456")
    private double longitude;

    @ApiModelProperty(value = "修改时间", example = "123456")
    private Date updatetime;

    @ApiModelProperty(value = "请求时间", example = "123456")
    private DateTime queryTime;

    @ApiModelProperty(value = "是否最新", example = "123456")
    private Boolean hasNew;

}
