package com.shxy.xymanager_common.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

/**
 * 图片列表给第三方
 */
@Data
@ApiModel(value = "图片列表", description = "图片列表对象信息")
public class TerminalPhotoListForOpenModel implements Serializable {

    @ApiModelProperty(value = "总记录数", example = "120")
    private long total;

    @ApiModelProperty(value = "总页数", example = "120")
    private int totalpage;

    @ApiModelProperty(value = "当前页", example = "1")
    private int currentpage;

    @ApiModelProperty(value = "每页记录数", example = "1")
    private int pagesize;

    @ApiModelProperty(value = "照片对象", example = "[]")
    private List<PhotoBean> list;

    @Data
    public static class PhotoBean {

        @ApiModelProperty(value = "装置编号", example = "123456")
        private String cmdId;

        @ApiModelProperty(value = "预置位编号", example = "123456")
        private Integer presetId;

        @ApiModelProperty(value = "图片编号", example = "123456")
        private BigInteger orginalId;

        @ApiModelProperty(value = "图片类型", example = "0--图片 1--视频")
        private Integer mediaType;

        @ApiModelProperty(value = "图片名称", example = "图片名称")
        private String name;

        @ApiModelProperty(value = "拍照时间", example = "123456")
        private String photoTime;

        @ApiModelProperty(value = "照片路径", example = "123456")
        private String path;


    }
}
