package com.shxy.xymanager_common.model;

import com.shxy.xymanager_common.dto.TermChannelCoordinateDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 图片列表
 */
@Data
@ApiModel(value = "图片列表对象", description = "图片列表对象信息")
public class TerminalPhotoListModel implements Serializable {

    @ApiModelProperty(value = "时间", example = "[]")
    private Date time;

    @ApiModelProperty(value = "照片数量", example = "123")
    private Integer num;

    @ApiModelProperty(value = "照片对象", example = "[]")
    private List<PhotoBean> list;

    @Data
    public static class PhotoBean {

        @ApiModelProperty(value = "图片id", example = "12321")
        private Long id;

        @ApiModelProperty(value = "装置编号", example = "123456")
        private Integer termId;

        @ApiModelProperty(value = "通道编号", example = "123456")
        private Integer channelId;

        @ApiModelProperty(value = "通道名称", example = "123456")
        private String channelName;

        @ApiModelProperty(value = "别名", example = "123456")
        private String alias;

        @ApiModelProperty(value = "预置位编号", example = "123456")
        private Integer presetId;

        @ApiModelProperty(value = "宽度", example = "123456")
        private Integer width;

        @ApiModelProperty(value = "高度", example = "123456")
        private Integer height;

        @ApiModelProperty(value = "大小", example = "123456")
        private Integer fileSize;

        @ApiModelProperty(value = "拍照时间", example = "123456")
        private Date photoTime;

        @ApiModelProperty(value = "接收时间", example = "123456")
        private Date recvTime;

        @ApiModelProperty(value = "照片路径", example = "123456")
        private String path;

        @ApiModelProperty(value = "视频缩略图", example = "123456")
        private String thumb;

        @ApiModelProperty(value = "拍照方式", example = "123456")
        private Integer manualRequest;

        @ApiModelProperty(value = "拍照类型", example = "123456")
        private Integer mediaType;


    }
}
