package com.shxy.xymanager_common.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

/**
 * 图片轮询列表
 */
@Data
@ApiModel(value = "图片轮询列表对象", description = "图片轮询列表对象信息")
public class TerminalPhotosModel implements Serializable {
    @ApiModelProperty(value = "总记录数", example = "120")
    private long total;
    @ApiModelProperty(value = "总页数", example = "120")
    private int totalpage;
    @ApiModelProperty(value = "当前页", example = "1")
    private int currentpage;
    @ApiModelProperty(value = "每页记录数", example = "1")
    private int pagesize;
    @ApiModelProperty(value = "照片对象", example = "[]")
    private List<PhotosBean> list;

    @Data
    public static class PhotosBean {

        @ApiModelProperty(value = "装置编号", example = "123456")
        private Integer termid;

        @ApiModelProperty(value = "cmdid", example = "123456")
        private String cmdid;

        @ApiModelProperty(value = "装置显示名称", example = "123456")
        private String displayname;

        @ApiModelProperty(value = "线路编号", example = "123456")
        private Integer lineid;

        @ApiModelProperty(value = "线路名称", example = "123456")
        private String linename;

        @ApiModelProperty(value = "通道编号", example = "123456")
        private Integer channelid;

        @ApiModelProperty(value = "通道名称", example = "123456")
        private String channnelname;

        @ApiModelProperty(value = "别名", example = "123456")
        private String alias;

        @ApiModelProperty(value = "预置位编号", example = "123456")
        private Integer presetId;

        @ApiModelProperty(value = "图片编号", example = "123456")
        private BigInteger orginalid;

        @ApiModelProperty(value = "图片类型", example = "123456")
        private Integer mediatype;

        @ApiModelProperty(value = "拍照时间", example = "123456")
        private Date photoTime;

        @ApiModelProperty(value = "接收时间", example = "123456")
        private Date recvTime;

        @ApiModelProperty(value = "照片路径", example = "123456")
        private String path;
    }
}
