package com.shxy.xymanager_common.model;

import cn.hutool.core.date.DateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

/**
 * 图片轮询列表
 */
@Data
@ApiModel(value = "图片轮询列表对象", description = "图片轮询列表对象信息")
public class TerminalPhotosParamsModel implements Serializable {

    @ApiModelProperty(value = "装置编号", example = "123456")
    private Integer termId;

    @ApiModelProperty(value = "通道编号", example = "123456")
    private Short channel;

    @ApiModelProperty(value = "色彩选择：0 为黑白，1 为彩色", example = "123456")
    private Integer color;

    @ApiModelProperty(value = "自定义图像分辨率", example = "123456")
    private Integer resolution;

    @ApiModelProperty(value = "亮度，取值范围：1～100", example = "123456")
    private Integer luminance;

    @ApiModelProperty(value = "对比度，取值范围：1～100", example = "123456")
    private Integer contrast;

    @ApiModelProperty(value = "饱和度，取值范围：1～100", example = "123456")
    private Integer saturation;

    @ApiModelProperty(value = "心跳上送周期", example = "123456")
    private String cmdId;

    @ApiModelProperty(value = "是否最新", example = "123456")
    private Boolean isNew = false;


}
