package com.shxy.xymanager_common.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.sql.Time;
import java.util.List;

/**
 * 时间任务列表
 */
@Data
@ApiModel(value = "时间任务列表", description = "获取时间任务列表信息")
public class TerminalScheduleRuleListModel implements Serializable {
    @ApiModelProperty(value = "总记录数", example = "120")
    private long total;
    @ApiModelProperty(value = "总页数", example = "120")
    private int totalpage;
    @ApiModelProperty(value = "当前页", example = "1")
    private int currentpage;
    @ApiModelProperty(value = "每页记录数", example = "1")
    private int pagesize;

    @ApiModelProperty(value = "时间任务列表", example = "[]")
    private List<TerminalScheduleRuleModel> list;

//    @Data
//    public static class ScheduleBean {
//
//        @ApiModelProperty(value = "任务编号", example = "123456")
//        private Integer id;
//
//        @ApiModelProperty(value = "任务名称", example = "123456")
//        private String name;
//
//        @ApiModelProperty(value = "备注", example = "erwsafsasa")
//        private String remark;
//
//        @ApiModelProperty(value = "时间任务详情列表", example = "erwsafsasa")
//        private List<ScheduleDetailsBean> list;
//
//    }

//    @Data
//    public static class ScheduleDetailsBean {
//        @ApiModelProperty(value = "任务详情编号", example = "123456")
//        private Integer id;
//
//        @ApiModelProperty(value = "任务规则编号", example = "123456")
//        private Integer scheduleId;
//
//        @ApiModelProperty(value = "间隔", example = "213")
//        private Integer span;
//
//        @ApiModelProperty(value = "开始时间", example = "2022-06-08")
//        private Time startTime;
//
//        @ApiModelProperty(value = "结束时间", example = "2022-06-08")
//        private Time endTime;
//    }
}
