package com.shxy.xymanager_common.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.sql.Time;
import java.util.List;

/**
 * 时间任务列表
 */
@Data
@ApiModel(value = "时间任务", description = "获取时间任务信息")
public class TerminalScheduleRuleModel implements Serializable {

    @ApiModelProperty(value = "任务编号", example = "123456")
    private Integer id;

    @ApiModelProperty(value = "任务名称", example = "123456")
    private String name;

    @ApiModelProperty(value = "备注", example = "erwsafsasa")
    private String remark;

    @ApiModelProperty(value = "时间任务详情列表", example = "erwsafsasa")
    private List<ScheduleRuleBean> list;

    @Data
    public static class ScheduleRuleBean {
        @ApiModelProperty(value = "任务详情编号", example = "123456")
        private Integer id;

        @ApiModelProperty(value = "任务规则编号", example = "123456")
        private Integer scheduleId;

        @ApiModelProperty(value = "间隔", example = "213")
        private Integer span;

        @ApiModelProperty(value = "开始时间", example = "2022-06-08")
        private Time startTime;

        @ApiModelProperty(value = "结束时间", example = "2022-06-08")
        private Time endTime;
    }
}
