package com.shxy.xymanager_common.page;


import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.shxy.xymanager_common.util.StringUtils;
import com.shxy.xymanager_common.util.http.HttpStatus;
import com.shxy.xymanager_common.util.sql.SqlUtils;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class PageUtils {
    /**
     * 设置请求分页数据
     */
    public static void startPage() {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        if (StringUtils.isNotNull(pageNum) && StringUtils.isNotNull(pageSize)) {
            String orderBy = SqlUtils.escapeOrderBySql(pageDomain.getOrderBy());
            Boolean reasonable = pageDomain.getReasonable();
            PageHelper.startPage(pageNum, pageSize, orderBy).setReasonable(reasonable);
        }
    }

    /**
     * 设置请求分页数据
     */
    public static void SetPage(int pagenum, int pagesize) {
        PageHelper.startPage(pagenum, pagesize);
    }

    /**
     * 格式化查询的数据
     */
    public static PageInfo getPageData(List list) {
        PageInfo pageInfo = new PageInfo(list);
        return pageInfo;
    }

    /**
     * 设置请求排序数据
     */
    public static void startOrderBy() {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        if (StringUtils.isNotEmpty(pageDomain.getOrderBy())) {
            String orderBy = SqlUtils.escapeOrderBySql(pageDomain.getOrderBy());
            PageHelper.orderBy(orderBy);
        }
    }

    /**
     * 响应请求分页数据
     */
    @SuppressWarnings({"rawtypes", "unchecked"})
    public static TableDataInfo getDataTable(List<?> list) {
        TableDataInfo rspData = new TableDataInfo();
        rspData.setCode(HttpStatus.HTTP_OK);
        rspData.setMsg("查询成功");
        rspData.setRows(list);
        rspData.setTotal(new PageInfo(list).getTotal());
        return rspData;
    }

}
