package com.shxy.xymanager_common.util;

import cn.hutool.core.collection.CollectionUtil;
import cn.hutool.core.util.StrUtil;
import cn.hutool.core.util.URLUtil;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.http.HttpHeaders;
import org.springframework.stereotype.Component;

import java.net.URL;
import java.util.List;

/**
 * 请求头工具类
 */
@Component
public class HeaderUtil {

    private static String address;

    @Value("${system.address}")
    public void setAddress(String address) {
        HeaderUtil.address = address;
    }

    /**
     * 获取请求地址
     *
     * @return
     */
    public static String getRequestIp(HttpHeaders httpHeaders) {
        String requestip;
        String origin = httpHeaders.getOrigin();
        if (StrUtil.isEmpty(origin)) {
            List<String> list = httpHeaders.get("referer");
            if (CollectionUtil.isEmpty(list) || StrUtil.isEmpty(list.get(0))) {
                requestip = address;
            } else {
                String s = list.get(0);
                URL url = URLUtil.url(s);
                String protocol = url.getProtocol();
                String host = url.getHost();
                int port = url.getPort();
                requestip = protocol.concat("://").concat(host).concat(":").concat(String.valueOf(port));
            }
        } else {
            if (origin.contains("localhost")) {
                requestip = address;
            } else {
                requestip = origin;
            }
        }
        return requestip;
    }
}
