package com.shxy.xymanager_common.util;

import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUnit;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.math.BigInteger;

/**
 * 执行指令
 *
 * @author cy
 */
@Slf4j
@Component
public class TerminalUtils {

    private static Integer hearttime;

    private static String photoaddress;

    private static String videoaddress;


    @Value("${heart.time}")
    public void setHearttime(Integer time) {
        TerminalUtils.hearttime = time;
    }

    @Value("${photo.address}")
    public void setPhotoaddress(String photoaddress) {
        TerminalUtils.photoaddress = photoaddress;
    }

    @Value("${video.address}")
    public void setVideoaddress(String videoaddress) {
        TerminalUtils.videoaddress = videoaddress;
    }

    /**
     * 判断装置是否在线
     *
     * @param lastHeartbeat
     */
    public static boolean judgeTerminalStatus(BigInteger lastHeartbeat) {
        if (lastHeartbeat == null) {
            return false;
        }
        long time = MyDateUtils.TimeSecond2MillSecond(lastHeartbeat.longValue());
        DateTime date = MyDateUtils.date(time);
        long between = MyDateUtils.between(MyDateUtils.getNowDate(), date, DateUnit.MINUTE);
        if (between > hearttime) {
            return false;
        } else {
            return true;
        }
    }

    /**
     * 返回图片视频地址
     */
    public static String getPhotoPath(Integer mediaType, String requestIp, String path) {
        if (mediaType != null) {
            if (mediaType.intValue() == 0) {
                return requestIp + photoaddress + path;
            } else if (mediaType == 1) {
                return requestIp + videoaddress + path;
            } else {
                return "";
            }
        } else {
            return "";
        }
    }


    /**
     * 返回图片视频缩略地址
     */
    public static String getThumbPhotoPath(Integer mediaType, String requestIp, String path) {
        if (mediaType.intValue() == 0) {
            if (StringUtils.isNotBlank(path)) {
                return requestIp + videoaddress + path;
            } else {
                return "";
            }
        } else {
            return "";
        }
    }

}
