package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.List;

@Data
@ApiModel(value = "线路对象", description = "线路对象描述")
public class LineVo {
    @NotEmpty(message = "不能传入空值")
    @ApiModelProperty(value = "线路对象数组", required = true, example = "A0001")
    private List<LineItem> list;

    @Data
    public static class LineItem {
        @ApiModelProperty(value = "线路名称", example = "名称名称")
        @NotBlank(message = "线路名称不能缺少")
        private String name;

        @ApiModelProperty(value = "单位", example = "单位")
        @NotBlank(message = "单位不能缺少")
        private String bsManufacturer;

        @ApiModelProperty(value = "电压等级编号", example = "型号型号")
        @NotBlank(message = "电压编号不能缺少")
        private Integer dyLevelid;
    }

}
