package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

@Data
@ApiModel(value = "装置和查询时间提供", description = "装置和查询时间提供")
public class OpenTerminalAndTimeVo {

    @NotNull(message = "装置编号不能缺少")
    @ApiModelProperty(value = "装置编号", example = "123455")
    private String cmdId;

    @ApiModelProperty(value = "查询开始时间", example = "yyyy-")
    private String startTime;

    @ApiModelProperty(value = "查询结束时间", example = "123455")
    private String endTime;

    //    @Min(value = 1, message = "分页位置最小从1开始")
    @ApiModelProperty(value = "分页位置从1开始", required = false, example = "1")
    private Integer pageIndex;

    //    @Min(value = 1, message = "分页大小最小为1")
    @ApiModelProperty(value = "分页大小", required = false, example = "1")
    private Integer pageSize;
}
