package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

@Data
@ApiModel(value = "绘制坐标信息", description = "绘制坐标信息")
public class PhotoMarkVo {

    @NotNull(message = "装置编号")
    @ApiModelProperty(value = "装置编号", example = "213")
    private Integer termId;

    @NotNull(message = "通道编号")
    @ApiModelProperty(value = "通道编号", example = "213")
    private Integer channelId;

    @NotNull(message = "参考图片宽不能缺少")
    @ApiModelProperty(value = "参考图片宽", example = "213")
    private Integer width;

    @NotNull(message = "参考图片高不能缺少")
    @ApiModelProperty(value = "参考图片高", example = "213")
    private Integer height;

    @NotNull(message = "线条颜色不能缺少")
    @ApiModelProperty(value = "线条颜色", example = "213")
    private String color;

    @NotNull(message = "线条宽度不能缺少")
    @ApiModelProperty(value = "线条宽度", example = "213")
    private Short boderWidth;

    @ApiModelProperty(value = "绘制编号", example = "213")
    private Integer id;

    @ApiModelProperty(value = "绘制编号", example = "213")
    private Date createTime;

    @ApiModelProperty(value = "通道编号和名称", example = "213")
    private List<CoordinateBeans> list;

    @Data
    public static class CoordinateBeans {
        @ApiModelProperty(value = "线段起始坐标x", example = "213")
        private float x1;
        @ApiModelProperty(value = "线段结束坐标x", example = "213")
        private float x2;
        @ApiModelProperty(value = "线段起始坐标y", example = "213")
        private float y1;
        @ApiModelProperty(value = "线段结束坐标y", example = "213")
        private float y2;
    }
}
