package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 设备关联拍照时间任务规则
 */
@Data
@ApiModel(value = "关联任务规则编号对象", description = "关联任务规则编号对象描述")
public class RelateTerminalListRuleIdVo {

    @NotNull(message = "规则编号不能缺少")
    @ApiModelProperty(value = "规则编号", example = "123455")
    private Integer scheduleid;

    @NotNull(message = "装置列表不能缺少")
    @ApiModelProperty(value = "装置通道编号列表", example = "123455")
    private List<Items> list;

    @Data
    public static class Items {
        @NotNull(message = "装置编号")
        @ApiModelProperty(value = "装置编号", example = "123455")
        private Integer termid;

        @NotNull(message = "通道编号列表不能缺少")
        @ApiModelProperty(value = "通道编号列表", example = "123455")
        private List<Integer> channelidlist;

        @ApiModelProperty(value = "偏移量", example = "123455")
        private Integer offset;
    }

}
