package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.List;

@Data
@ApiModel(value = "任务规则对象", description = "任务规则对象列表描述")
public class ScheduleListVo {

    @ApiModelProperty(value = "任务规则名称", example = "名称名称")
    @NotBlank(message = "任务规则名称不能缺少")
    private String name;

    @NotEmpty(message = "不能传入空值")
    @ApiModelProperty(value = "任务规则对象数组", required = true, example = "A0001")
    private List<ScheduleRuleVo> list;

    @ApiModelProperty(value = "备注", example = "型号型号")
    private String remark;
}
