package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;

@Data
@ApiModel(value = "装置编号和通道编号对象", description = "装置编号和通道编号对象")
public class TermIdAndChannelIdVo {

    @ApiModelProperty(value = "装置编号", example = "123455")
    private Integer termId;

    @ApiModelProperty(value = "通道编号", example = "123455")
    private Integer channelId;

    @Min(value = 1, message = "分页位置最小从1开始")
    @ApiModelProperty(value = "分页位置从1开始", required = true, example = "1")
    private int pageindex;

    @Min(value = 1, message = "分页大小最小为1")
    @ApiModelProperty(value = "分页大小", required = true, example = "1")
    private int pagesize;
}
