package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel(value = "添加通道对象", description = "添加通道对象描述")
public class TerminalChannelVo {

    @NotNull(message = "装置列表不能缺少")
    @ApiModelProperty(value = "装置通道编号列表", example = "123455")
    private List<ChannelItem> list;

    @Data
    public static class ChannelItem {
        @NotNull(message = "通道编号")
        @ApiModelProperty(value = "通道编号", example = "123455")
        private Integer id;

        @NotNull(message = "通道名称不能缺少")
        @ApiModelProperty(value = "通道名称", example = "123455")
        private String channelname;

        @ApiModelProperty(value = "分辨率W", example = "123456")
        private Integer maxResolutionWidth;

        @ApiModelProperty(value = "分辨率H", example = "123456")
        private Integer maxResolutionHeight;
    }
}
