package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

@Data
@Validated
@ApiModel(value = "图片查询参数对象", description = "装置和通道编号和查询时间描述")
public class TerminalPhotoSelectVo {

    @ApiModelProperty(value = "电压编号", example = "123455")
    private Integer dyid;

    @ApiModelProperty(value = "装置编号", example = "123455")
    private Integer lineid;

    @ApiModelProperty(value = "杆塔编号", example = "123455")
    private Integer towerid;

    @ApiModelProperty(value = "装置编号", example = "123455")
    private Integer termid;

    @ApiModelProperty(value = "通道编号", example = "123455")
    private Integer channelid;

    @NotNull(message = "查询时间不能缺少")
    @ApiModelProperty(value = "查询时间", example = "123455")
    private Date starttime;

    @NotNull(message = "查询结束时间不能缺少")
    @ApiModelProperty(value = "查询结束时间", example = "123455")
    private Date endtime;

    @Min(value = 1, message = "分页位置最小从1开始")
    @ApiModelProperty(value = "分页位置从1开始", required = true, example = "1")
    private int pageindex;

    @Min(value = 1, message = "分页大小最小为1")
    @ApiModelProperty(value = "分页大小", required = true, example = "1")
    private int pagesize;
}
