package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.Min;

@Data
@Validated
@ApiModel(value = "装置查询对象", description = "装置查询对象描述")
public class TerminalSelectVo {

    @ApiModelProperty(value = "电压编号", example = "123455")
    private Integer dyId;

    @ApiModelProperty(value = "装置编号", example = "123455")
    private Integer lineId;

    @ApiModelProperty(value = "杆塔编号", example = "123455")
    private Integer towerId;

    @ApiModelProperty(value = "搜索内容", example = "搜索内容")
    private String search;

    @Min(value = 1, message = "分页位置最小从1开始")
    @ApiModelProperty(value = "分页位置从1开始", required = true, example = "1")
    private int pageindex;

    @Min(value = 1, message = "分页大小最小为1")
    @ApiModelProperty(value = "分页大小", required = true, example = "1")
    private int pagesize;
}
