package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel(value = "杆塔对象", description = "杆塔对象描述")
public class TowersVo {

    @NotEmpty(message = "不能传入空值")
    @ApiModelProperty(value = "杆塔对象数组", required = true, example = "A0001")
    private List<TowersVo.TowerItem> list;

    @Data
    public static class TowerItem {
        @ApiModelProperty(value = "线路编号", example = "123456")
        @NotNull(message = "线路编号不能缺少")
        private Integer lineId;


        @ApiModelProperty(value = "杆塔名称", example = "12345678")
        @NotBlank(message = "杆塔名称")
        private String name;

        @ApiModelProperty(value = "杆塔排序顺序", example = "12345678")
        @NotNull(message = "杆塔排序顺序")
        private Integer order;
    }


}
