package com.shxy.xymanager_dao.dao;

import com.shxy.xymanager_common.dto.*;
import com.shxy.xymanager_common.entity.Lines;
import com.shxy.xymanager_common.entity.TerminalPhoto;
import com.shxy.xymanager_common.vo.*;
import org.apache.ibatis.annotations.Param;

import javax.xml.crypto.Data;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

public interface TerminalPhotoDao {

    List<TerminalPhoto> selectPhotoList(@Param("terminalid") Integer terminalid, @Param("channelid") List<Integer> channelid, @Param("starttime") BigInteger starttime, @Param("endtime") BigInteger endtime);

    List<TerminalPhoto> selectPhotoListByOrginIdAndTermList(@Param("list") List<TerminalImgAlarmsDto> list);

    List<TerminalPhoto> selectPhotoListByTermList(@Param("terminalidlist") List<Integer> terminalid, @Param("channelidlist") List<Integer> channelid, @Param("starttime") BigInteger starttime, @Param("endtime") BigInteger endtime);

    int deleteByPrimaryKey(Long id);

    int insert(TerminalPhoto record);

    int insertSelective(TerminalPhoto record);

    TerminalPhoto selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(TerminalPhoto record);

    int updateByPrimaryKey(TerminalPhoto record);

    TerminalPhoto getLatestPhoto(@Param("termId") Integer termId);

    List<TerminalPhoto> getLatestPhotoByTermidAndChannelid(@Param("termId") Integer termId, @Param("channelId") Integer channelId);

    List<TerminalPhoto> selectPhotosByIdList(@Param("list") List<BigInteger> list);

    List<PhotoAndLineAndChannelDto> selectPhotos();

    List<TermAndChannelLatestPhotoMapperDto> selectTermAndChannelLatestPhotoList(@Param("list") List<Integer> list);

    List<TerminalPhoto> selectPhotoListForOpen(@Param("termId") Integer terminalid, @Param("starttime") BigInteger starttime, @Param("endtime") BigInteger endtime);

    List<TerminalPhotoScheduleDto> selectPhotoSchedule(TerminalPhotoTimeVo vo);

    PhotoParamsDto selectPhotoParams(ReturnedPhotoParamsVo vo);

    String selectCmdIdById(Integer termId);

    Integer updateOrInsertParams(PhotoParamsVo vo);

    BigInteger getLatestPhotoParam(Integer termId);


    void deleteByMarkId(@Param("markId") Integer markId);


    Integer addPhotoMark(PhotoMarkVo vo);

    Integer addPhotoMarkPath(@Param("list") List<PhotoMarkVo.CoordinateBeans> list, @Param("markId") Integer id);

    void updatePhotoMark(PhotoMarkVo vo);


    void updatePhotoMarkId(PhotoMarkVo vo);


    PhotoMarkDto selectPhotoMark(MarkReqVo vo);

    PhotoMarkDto selectPhotoWithoutPic(MarkReqVo vo);


}