package com.shxy.xymanager_dao.dao;

import com.shxy.xymanager_common.dto.ChannelAndTermDto;
import com.shxy.xymanager_common.dto.TerminalInfoDto;
import com.shxy.xymanager_common.dto.TerminalsAndStatusDto;
import com.shxy.xymanager_common.entity.Terminals;
import com.shxy.xymanager_common.vo.RelateTerminalListRuleIdVo;
import com.shxy.xymanager_common.vo.TerminalIdUpdateVo;
import org.apache.ibatis.annotations.Param;

import java.math.BigInteger;
import java.util.Date;
import java.util.List;

public interface TerminalsDao {

    List<Terminals> selectAll(@Param("status") Integer status);

    Terminals selectById(@Param("id") Integer id, @Param("status") Integer status);

    List<ChannelAndTermDto> selectChannelAndTermList(@Param("status") Integer status);

    List<TerminalsAndStatusDto> selectTermAndStatusList(@Param("status") Integer status, @Param("dyid") Integer dyid, @Param("lineid") Integer lineid, @Param("towerid") Integer towerid, @Param("search") String search);

    Terminals selectByCmdid(@Param("cmdid") String cmdid, @Param("status") Integer status);

    List<Terminals> selectByTowerId(@Param("towerid") Integer towerid, @Param("status") Integer status);

    List<Terminals> selectByToweridAndLineid(@Param("toweridlist") List<Integer> towerid, @Param("status") Integer status);

    int insertList(@Param("item") Terminals record, @Param("status") Integer status, @Param("createat") Date create, @Param("updateat") Date update);

    int deleteById(@Param("list") List<Terminals> record, @Param("status") Integer status, @Param("updateat") Date update);

    Terminals selectByPrimaryKey(Integer id);

    List<ChannelAndTermDto> selectByIdList(@Param("list") List<RelateTerminalListRuleIdVo.Items> list, @Param("status") Integer status);

    int updateByPrimaryKeySelective(@Param("data") Terminals record, @Param("updateat") Date update);

    int updateByPrimaryKey(Terminals record);

    String getCmdIdByTermId(Integer termId);

    BigInteger getUpdateTime(@Param("termId") Integer termId);

    int updateCmd(TerminalIdUpdateVo vo);

}