package com.shxy.xymanager_framework.config;


import com.shxy.xymanager_framework.interaction.JwtInterceptor;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.CorsRegistry;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;


@Configuration
public class CustomSecurityConfig implements WebMvcConfigurer {

    private final JwtInterceptor jwtInterceptor;

    public CustomSecurityConfig(JwtInterceptor jwtInterceptor) {
        this.jwtInterceptor = jwtInterceptor;
    }

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        registry.addInterceptor(this.jwtInterceptor)
                .excludePathPatterns("/swagger-ui.html")
                .excludePathPatterns("/api/login")
                .excludePathPatterns("/login")
                .excludePathPatterns("/doc.html")
                .excludePathPatterns("/swagger-resources/**")
                .excludePathPatterns("/*/api-docs")
                .excludePathPatterns("/error")
                .excludePathPatterns("/test/**")
                .excludePathPatterns("/getPhotoListForOpen")
                .excludePathPatterns("/ctrlCmaDeviceCapture")
                .excludePathPatterns("/cmaDeviceStatus")
                .excludePathPatterns("/cmaUserLogin");
    }

    @Override
    public void addCorsMappings(CorsRegistry registry) {
        registry.addMapping("/**")
                .allowedOrigins("*")
                .allowedMethods("POST", "GET", "PUT", "OPTIONS", "DELETE")
                .maxAge(3600)
                .allowCredentials(false);
    }

}