package com.shxy.xymanager_service.impl;

import com.shxy.xymanager_common.dto.LineAndDyNameDto;
import com.shxy.xymanager_common.dto.TermAndChannelDto;
import com.shxy.xymanager_common.dto.TowerDto;
import com.shxy.xymanager_common.entity.*;
import com.shxy.xymanager_common.enums.CommonStatus;
import com.shxy.xymanager_dao.dao.*;
import com.shxy.xymanager_service.service.CacheService;
import io.swagger.models.auth.In;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.CachePut;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


/**
 * 全局参数实现层
 */
@Service
@Slf4j
public class CacheServiceImpl implements CacheService {

    @Autowired
    GlobalParamsDao globalParamsDao;

    @Autowired
    LinesDao linesDao;

    @Autowired
    TowerDao towerDao;

    @Autowired
    TerminalsDao terminalsDao;

    @Autowired
    TerminalChannelsDao terminalChannelsDao;

    @Autowired
    TerminalChannelMapperDao terminalChannelMapperDao;


    @Autowired
    TerminalImgAlarmParamsDao terminalImgAlarmParamsDao;

//    @Override
//    @Cacheable(value = "globalParams", key = "#param")
//    public GlobalParams getGlobalParams(String param) {
//        System.out.println("测试缓存：" + param);
//        return globalParamsDao.selectByParam(param);
//    }
//
//    @Override
//    @CachePut(value = "globalParams", key = "#result.paramName")
//    public GlobalParams updateGlobalParams(GlobalParams record) {
//        globalParamsDao.updateByParamName(record, new Date());
//        return record;
//
//    }
//
//    @Override
//    @Cacheable(value = "linesMap", key = "#id")
//    public Lines getLine(Integer id) {
//        Lines lines = linesDao.selectByPrimaryKey(id);
//        return lines;
//    }
//
//    @Override
//    @CacheEvict(value = "linesMap", allEntries = true)
//    public Integer deleteLine(List<Lines> lines) {
//        int i = linesDao.deleteById(lines, CommonStatus.DELETE.value(), new Date());
//        return i;
//    }
//
//    @Override
//    @CachePut(value = "linesMap", key = "#result.id")
//    public Lines updateLine(Lines lines) {
//        int i = linesDao.updateByPrimaryKeySelective(lines, new Date());
//        if (i == 0) {
//            return null;
//        } else {
//            return lines;
//        }
//    }
//
//    @Override
//    @Cacheable(value = "towerMap", key = "#id")
//    public TowerDto getTower(Integer id) {
//        TowerDto dto = towerDao.getInfoByPrimaryKey(id, CommonStatus.EFFECTIVE.value());
//        return dto;
//    }
//
//    @Override
//    @CacheEvict(value = "towerMap", allEntries = true)
//    public Integer deleteTower(List<Towers> list) {
//        int i = towerDao.deleteById(list, CommonStatus.DELETE.value(), new Date());
//        return i;
//    }
//
//    @Override
//    @CachePut(value = "towerMap", key = "#result.id")
//    public Towers updateTower(Towers towers) {
//        int i = towerDao.updateByPrimaryKeySelective(towers, new Date());
//        if (i == 0) {
//            return null;
//        } else {
//            return towers;
//        }
//    }
//
//    @Override
//    @Cacheable(value = "terminalMap", key = "#id")
//    public Terminals getTerminal(Integer id) {
//        Terminals terminals = terminalsDao.selectById(id, CommonStatus.EFFECTIVE.value());
//        return terminals;
//    }
//
//    @Override
//    @CacheEvict(value = "terminalMap", allEntries = true)
//    public Integer deleteTerminal(List<Terminals> list) {
//        int i = terminalsDao.deleteById(list, CommonStatus.DELETE.value(), new Date());
//        return i;
//    }
//
//    @Override
//    @CachePut(value = "terminalMap", key = "#result.id")
//    public Towers updateTerminal(Towers towers) {
//        int i = towerDao.updateByPrimaryKeySelective(towers, new Date());
//        if (i == 0) {
//            return null;
//        } else {
//            return towers;
//        }
//    }
//
//
//    @Override
//    @Cacheable(value = "termchannelMap", key = "#id")
//    public TerminalChannels getTermchannelMap(Integer id) {
//        TerminalChannels terminalChannels = terminalChannelsDao.selectByPrimaryKey(id, CommonStatus.EFFECTIVE.value());
//        return terminalChannels;
//    }
//
//    @Override
//    @CacheEvict(value = "termchannelMap", allEntries = true)
//    public Integer deleteTermchannelMap(List<TerminalChannels> list) {
//        int i = terminalChannelsDao.deleteList(list, CommonStatus.DELETE.value(), new Date());
//        return i;
//    }
//
//    @Override
//    @CachePut(value = "termchannelMap", key = "#result.id")
//    public TerminalChannels updateTermchannelMap(TerminalChannels terminalChannels) {
//        int i = terminalChannelsDao.updateByPrimaryKeySelective(terminalChannels, new Date());
//        if (i == 0) {
//            return null;
//        } else {
//            return terminalChannels;
//        }
//    }
//
//
//    @Override
//    @Cacheable(value = "termchannelMapMap", key = "#id")
//    public TerminalChannelMapper getTermchannelMapMap(Integer id, Integer channelid) {
//        TerminalChannelMapper terminalChannels = terminalChannelMapperDao.selectByTermidAndChannelid(id, channelid, CommonStatus.EFFECTIVE.value());
//        return terminalChannels;
//    }
//
//    @Override
//    @CacheEvict(value = "termchannelMapMap", allEntries = true)
//    public Integer deleteTermchannelMapMap(Integer id) {
//        int i = terminalChannelMapperDao.deleteByTermId(id);
//        return i;
//    }
//
//    @Override
//    @Cacheable(value = "alarmParamMap")
//    public List<TerminalImgAlarmParams> getAlarmParsms() {
//        List<TerminalImgAlarmParams> terminalImgAlarmParams = terminalImgAlarmParamsDao.selectAll();
//        return terminalImgAlarmParams;
//    }
//
//    @Override
//    @CacheEvict(value = "alarmParamMap", allEntries = true)
//    public List<TerminalImgAlarmParams> updateAlarmParsms(List<TerminalImgAlarmParams> list) {
//        int i = terminalImgAlarmParamsDao.updateList(list, new Date());
//        if (i == 0) {
//            return null;
//        } else {
//            return list;
//        }
//    }


    @Override
    @Cacheable(value = "globalMap")
    public Map<String, String> getGolobalMap() {
        Map<String, String> globalParams = new HashMap<String, String>();
        List<GlobalParams> globalParamslist = globalParamsDao.selectAll();
        for (GlobalParams item : globalParamslist) {
            globalParams.put(item.getParamName(), item.getParamValue());
        }
        return globalParams;
    }

    @Override
    @Cacheable(value = "alarmParamMap")
    public Map<Integer, TerminalImgAlarmParams> getAlarmParamMap() {
        Map<Integer, TerminalImgAlarmParams> alarmParamMap = new HashMap<Integer, TerminalImgAlarmParams>();
        List<TerminalImgAlarmParams> terminalImgAlarmParams = terminalImgAlarmParamsDao.selectAll();
        for (TerminalImgAlarmParams item : terminalImgAlarmParams) {
            alarmParamMap.put(item.getLabel(), item);
        }
        return alarmParamMap;
    }

    @Override
    @Cacheable(value = "termchannelMapMap")
    public Map<String, TerminalChannelMapper> getTermChannelMapMap() {
        Map<String, TerminalChannelMapper> termchannelMapMap = new HashMap<String, TerminalChannelMapper>();
        List<TerminalChannelMapper> terminalChannelMapperlist = terminalChannelMapperDao.selectAll();
        for (TerminalChannelMapper item : terminalChannelMapperlist) {
            String s = item.getTermId() + "#" + item.getChannelId();
            termchannelMapMap.put(s, item);
        }
        return termchannelMapMap;
    }

    @Override
    @Cacheable(value = "termchannelMap")
    public Map<Integer, TerminalChannels> getTermChannelMap() {
        Map<Integer, TerminalChannels> termchannelMap = new HashMap<Integer, TerminalChannels>();
        List<TerminalChannels> channelslist = terminalChannelsDao.selectChannelList(null);
        for (TerminalChannels item : channelslist) {
            termchannelMap.put(item.getId(), item);
        }
        return termchannelMap;
    }

    @Override
    @Cacheable(value = "termAndchannelMap")
    public Map<Integer, TermAndChannelDto> getTermAndChannelMap() {
        Map<Integer, TermAndChannelDto> termchannelMap = new HashMap<Integer, TermAndChannelDto>();
        List<TermAndChannelDto> list = terminalChannelsDao.selectTermChannelList(null);
        for (TermAndChannelDto item : list) {
            termchannelMap.put(item.getTermid(), item);
        }
        return termchannelMap;
    }


    @Override
    @Cacheable(value = "towerMap")
    public Map<Integer, TowerDto> getTowerMap() {
        Map<Integer, TowerDto> towerMap = new HashMap<Integer, TowerDto>();
        List<TowerDto> towerlist = towerDao.selectAll(null);
        for (TowerDto item : towerlist) {
            towerMap.put(item.getId(), item);
        }
        return towerMap;
    }

    @Override
    @Cacheable(value = "terminalMap")
    public Map<Integer, Terminals> getTerminalMap() {
        Map<Integer, Terminals> terminalMap = new HashMap<Integer, Terminals>();
        List<Terminals> termslist = terminalsDao.selectAll(null);
        for (Terminals item : termslist) {
            terminalMap.put(item.getId(), item);
        }
        return terminalMap;
    }

    @Override
    @Cacheable(value = "lineMap")
    public Map<Integer, LineAndDyNameDto> getLineMap() {
        Map<Integer, LineAndDyNameDto> lineMap = new HashMap<Integer, LineAndDyNameDto>();
        List<LineAndDyNameDto> lineAndDyNameDtos = linesDao.selectAll(null);
        for (LineAndDyNameDto lineitem : lineAndDyNameDtos) {
            lineMap.put(lineitem.getId(), lineitem);
        }
        return lineMap;
    }


    @Override
    @CachePut(value = "globalMap")
    public Map<String, String> updateGolobalMap() {
        Map<String, String> globalParams = new HashMap<String, String>();
        List<GlobalParams> globalParamslist = globalParamsDao.selectAll();
        for (GlobalParams item : globalParamslist) {
            globalParams.put(item.getParamName(), item.getParamValue());
        }
        return globalParams;
    }

    @Override
    @CachePut(value = "alarmParamMap")
    public Map<Integer, TerminalImgAlarmParams> updateAlarmParamMap() {
        Map<Integer, TerminalImgAlarmParams> alarmParamMap = new HashMap<Integer, TerminalImgAlarmParams>();
        List<TerminalImgAlarmParams> terminalImgAlarmParams = terminalImgAlarmParamsDao.selectAll();
        for (TerminalImgAlarmParams item : terminalImgAlarmParams) {
            alarmParamMap.put(item.getLabel(), item);
        }
        return alarmParamMap;
    }

    @Override
    @CachePut(value = "termchannelMapMap")
    public Map<String, TerminalChannelMapper> updateTermChannelMapMap() {
        Map<String, TerminalChannelMapper> termchannelMapMap = new HashMap<String, TerminalChannelMapper>();
        List<TerminalChannelMapper> terminalChannelMapperlist = terminalChannelMapperDao.selectAll();
        for (TerminalChannelMapper item : terminalChannelMapperlist) {
            String s = item.getTermId() + "#" + item.getChannelId();
            termchannelMapMap.put(s, item);
        }
        return termchannelMapMap;
    }

    @Override
    @CachePut(value = "termchannelMap")
    public Map<Integer, TerminalChannels> updateTermChannelMap() {
        Map<Integer, TerminalChannels> termchannelMap = new HashMap<Integer, TerminalChannels>();
        List<TerminalChannels> channelslist = terminalChannelsDao.selectChannelList(null);
        for (TerminalChannels item : channelslist) {
            termchannelMap.put(item.getId(), item);
        }
        return termchannelMap;
    }

    @Override
    @CachePut(value = "termAndchannelMap")
    public Map<Integer, TermAndChannelDto> updateTermAndChannelMap() {
        Map<Integer, TermAndChannelDto> termchannelMap = new HashMap<Integer, TermAndChannelDto>();
        List<TermAndChannelDto> list = terminalChannelsDao.selectTermChannelList(null);
        for (TermAndChannelDto item : list) {
            termchannelMap.put(item.getTermid(), item);
        }
        return termchannelMap;
    }

    @Override
    @CachePut(value = "towerMap")
    public Map<Integer, TowerDto> updateTowerMap() {
        Map<Integer, TowerDto> towerMap = new HashMap<Integer, TowerDto>();
        List<TowerDto> towerlist = towerDao.selectAll(null);
        for (TowerDto item : towerlist) {
            towerMap.put(item.getId(), item);
        }
        return towerMap;
    }

    @Override
    @CachePut(value = "terminalMap")
    public Map<Integer, Terminals> updateTerminalMap() {
        Map<Integer, Terminals> terminalMap = new HashMap<Integer, Terminals>();
        List<Terminals> termslist = terminalsDao.selectAll(null);
        for (Terminals item : termslist) {
            terminalMap.put(item.getId(), item);
        }
        return terminalMap;
    }

    @Override
    @CachePut(value = "lineMap")
    public Map<Integer, LineAndDyNameDto> updateLineMap() {
        Map<Integer, LineAndDyNameDto> lineMap = new HashMap<Integer, LineAndDyNameDto>();
        List<LineAndDyNameDto> lineAndDyNameDtos = linesDao.selectAll(null);
        for (LineAndDyNameDto lineitem : lineAndDyNameDtos) {
            lineMap.put(lineitem.getId(), lineitem);
        }
        return lineMap;
    }


}
