package com.shxy.xymanager_service.impl;

import com.shxy.xymanager_common.bean.ServiceBody;
import com.shxy.xymanager_common.entity.GlobalParams;
import com.shxy.xymanager_common.enums.GloableParamsType;
import com.shxy.xymanager_common.exception.Asserts;
import com.shxy.xymanager_dao.dao.GlobalParamsDao;
import com.shxy.xymanager_service.cache.XyCache;
import com.shxy.xymanager_service.service.CacheService;
import com.shxy.xymanager_service.service.GloablParamsService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.Map;


/**
 * 全局参数实现层
 */
@Service
@Slf4j
public class GloablParamsServiceImpl implements GloablParamsService {

    @Autowired
    GlobalParamsDao globalParamsDao;

    @Autowired
    CacheService cacheService;

    /**
     * 获取绘制状态
     *
     * @return
     */
    @Override
    public ServiceBody<Integer> getMarkEnableStatus() {
        Map<String, String> globalParams = cacheService.getGolobalMap();
        String s = globalParams.get(GloableParamsType.ImgMark.value());
        Integer integer = Integer.valueOf(s);
        return Asserts.success(integer);
    }


    /**
     * 修改绘制状态
     *
     * @return
     */
    @Override
    public ServiceBody<String> updateMarkEnableStatus(Integer status) {
        GlobalParams record = new GlobalParams();
        record.setParamName(GloableParamsType.ImgMark.value());
        record.setParamValue(String.valueOf(status));
        int i = globalParamsDao.updateByParamName(record, new Date());
        if (i != 0) {
            cacheService.updateGolobalMap();
            return Asserts.success("修改成功");
        } else {
            return Asserts.error("修改失败");
        }
    }

}
