package com.shxy.xymanager_service.impl;

import com.alibaba.fastjson.JSONObject;
import com.shxy.xymanager_common.bean.ServiceBody;
import com.shxy.xymanager_common.constant.Constants;
import com.shxy.xymanager_common.dto.PhotoParamsDto;
import com.shxy.xymanager_common.dto.UpperComputerInfoDto;
import com.shxy.xymanager_common.entity.TerminalParams;
import com.shxy.xymanager_common.exception.Asserts;
import com.shxy.xymanager_common.model.*;
import com.shxy.xymanager_common.util.ProcessExecUtils;
import com.shxy.xymanager_common.util.StringUtils;
import com.shxy.xymanager_common.vo.SystemConfigReqVo;
import com.shxy.xymanager_common.vo.SystemConfigVo;
import com.shxy.xymanager_common.vo.TerminalUpperComputerVo;
import com.shxy.xymanager_dao.dao.RequestResultsDao;
import com.shxy.xymanager_dao.dao.SystemConfigDao;
import com.shxy.xymanager_dao.dao.TerminalPhotoDao;
import com.shxy.xymanager_service.service.SystemConfigService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 装置图片实现层
 */
@Service
@Slf4j
public class SystemConfigServiceImpl implements SystemConfigService {


    @Autowired
    SystemConfigDao systemConfigDao;

    @Autowired
    RequestResultsDao requestResultsDao;


    @Override
    public ServiceBody<GetModel> getSystemConfig(String cmdId) {
       /* SystemConfigModel model = new SystemConfigModel();
        Integer beatHeartTime =  systemConfigDao.getTerminalParams(id);
        model.setHeartBeatTime(beatHeartTime);
        String globalTime =  systemConfigDao.getGlobalTime(Constants.GLOBAL_TIME);
        model.setGlobalTime(Integer.parseInt(globalTime));*/
        int requestId = Constants.REQUEST_ID.addAndGet(1);
        GetModel model = new GetModel();
        String cmd = Constants.CMD+"sampling --clientid=10 --flag=0 --cmdid="+cmdId+ " --reqid="+requestId;
        ProcessExecUtils.exec(cmd);
        model.setRequestId(requestId);
        return Asserts.success(model);
    }

    @Override
    public ServiceBody updateSystemConfig(SystemConfigVo vo) {
        TerminalParams param = new TerminalParams();
        param.setTermId(vo.getTermId());
        param.setHeartbeatTime(vo.getHeartBeatTime());
        systemConfigDao.updateSystemConfig(param);

        String cmd =Constants.CMD+"sampling --flag =1 --cmdid="+vo.getCmdId()+ " --heartbeat=" + vo.getHeartBeatTime();
        ProcessExecUtils.exec(cmd);
        return Asserts.success("修改成功");
    }

    @Override
    public ServiceBody<SystemConfigModel> getSystemConfigDetail(SystemConfigReqVo vo) {
        String result = requestResultsDao.getRequestResult(vo.getRequestId());//待修改
        SystemConfigModel model = new SystemConfigModel();
        if(StringUtils.isNotBlank(result)) {
            model = JSONObject.parseObject(result, SystemConfigModel.class);
        }else{
            Integer beatHeartTime =  systemConfigDao.getTerminalParams(Constants.GLOBAL_TIME);
            model.setHeartBeatTime(beatHeartTime);
            String globalTime =  systemConfigDao.getGlobalTime(vo.getTermId());
            model.setGlobalTime(Integer.parseInt(globalTime));
        }
        return Asserts.success(model);
    }

    @Override
    public ServiceBody<GetModel> upperComputerGet(String cmdId) {
        GetModel model = new GetModel();
        int requestId = Constants.REQUEST_ID.addAndGet(1);
        String cmd = Constants.CMD+"cma --clientid=10 --flag=0 --cmdid="+cmdId+ " --reqid="+requestId;
        ProcessExecUtils.exec(cmd);
        model.setRequestId(requestId);
        return Asserts.success(model);
    }

    @Override
    public ServiceBody<UpperComputerInfoModel> getUpperComputerInfo(TerminalUpperComputerVo vo) {
        String result = requestResultsDao.getRequestResult(vo.getRequestId());//待修改
        UpperComputerInfoModel model = new UpperComputerInfoModel();
        if(StringUtils.isNotBlank(result)) {
            model = JSONObject.parseObject(result, UpperComputerInfoModel.class);
            model.setIsNew(true);
        }else{
            UpperComputerInfoDto  dto = systemConfigDao.getUpperComputerInfo(vo.getTermId());
            BeanUtils.copyProperties(dto,model);
        }
        return Asserts.success(model);
    }
}
