package com.shxy.xymanager_service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.shxy.xymanager_common.bean.ServiceBody;
import com.shxy.xymanager_common.constant.Constants;
import com.shxy.xymanager_common.entity.Resolution;
import com.shxy.xymanager_common.exception.Asserts;
import com.shxy.xymanager_common.model.ResolutionModel;
import com.shxy.xymanager_common.util.ProcessExecUtils;
import com.shxy.xymanager_common.util.TerminalUtils;
import com.shxy.xymanager_common.vo.TerminalIdVo;
import com.shxy.xymanager_common.vo.VoiceCtrlVo;
import com.shxy.xymanager_dao.dao.TerminalResolutionDao;
import com.shxy.xymanager_service.cache.XyCache;
import com.shxy.xymanager_service.service.TermSetService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 装置通过Cma控制
 *
 * @author 晶晶
 */
@Slf4j
@Service
public class TermSetServiceImpl implements TermSetService {

    @Autowired
    private TerminalResolutionDao terminalResolutionDao;

    @Override
    public ServiceBody<String> alarmMark(VoiceCtrlVo vo) {
        String cmd =Constants.CMD+"voice --cmdid="+vo.getCmdId()+ " --ctrl="+ vo.getCtrl();
        ProcessExecUtils.exec(cmd);
        return Asserts.success("设置成功");
    }

    @Override
    public ServiceBody<Integer> selectPhotoTimeGet(TerminalIdVo vo) {
        int requestId = Constants.REQUEST_ID.addAndGet(1);
        String cmd = Constants.CMD+"alarmMark --cmdid="+vo.getCmdId()+ " --reqid="+requestId+ " --clientid=10 --flag=1 --rf=7";
        ProcessExecUtils.exec(cmd);
        return Asserts.success(requestId);
    }

    /**
     * 获取分辨率列表
     * @return
     */
    @Override
    public ServiceBody<ResolutionModel> getResolutionList(Integer type) {
        ResolutionModel model = new ResolutionModel();
        List<Resolution> beans = terminalResolutionDao.selectAllList(type);
        List<ResolutionModel.ResolutionBean> list = BeanUtil.copyToList(beans, ResolutionModel.ResolutionBean.class);
        model.setList(list);
        return Asserts.success(model);
    }

}

