package com.shxy.xymanager_service.impl;

import com.alibaba.fastjson.JSONObject;
import com.shxy.xymanager_common.bean.ServiceBody;
import com.shxy.xymanager_common.constant.Constants;
import com.shxy.xymanager_common.exception.Asserts;
import com.shxy.xymanager_common.model.*;
import com.shxy.xymanager_common.util.ProcessExecUtils;
import com.shxy.xymanager_common.util.StringUtils;
import com.shxy.xymanager_common.vo.*;
import com.shxy.xymanager_dao.dao.RequestResultsDao;
import com.shxy.xymanager_dao.dao.TerminalPhotoDao;
import com.shxy.xymanager_service.service.TerminalVideoService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 视频控制实现层
 */
@Service
@Slf4j
public class TerminalVideoServiceImpl implements TerminalVideoService {

    @Autowired
    RequestResultsDao requestResultsDao;

    @Override
    public ServiceBody<String> updateVideoParam(VideoParamsVo vo) {
        String cmd = Constants.CMD + "videoparams --flag=1 --cmdid=" + vo.getCmdId() + " --channel=" + vo.getChannelId() + " --format=" +
                vo.getVideoFormat() + " --time=" + vo.getVideoTime()+" --preset="+vo.getPreset();
        ProcessExecUtils.exec(cmd);
        return Asserts.success("修改完成");
    }

    @Override
    public ServiceBody<GetModel> videoParamGet(VideoGetVo vo) {
        int requestId = Constants.REQUEST_ID.addAndGet(1);
        GetModel model = new GetModel();
        String cmd = Constants.CMD + "videoparams --clientid=10 --flag=0 --cmdid=" + vo.getCmdId()+ " --reqid=" + requestId+ " --channel=" + vo.getChannelId();
        ProcessExecUtils.exec(cmd);
        model.setRequestId(requestId);
        return Asserts.success(model);
    }

    @Override
    public ServiceBody<TerminalVideoParamsModel> selectVideoParam(Integer requestId) {
        String result = requestResultsDao.getRequestResult(requestId);
        TerminalVideoParamsModel model = new TerminalVideoParamsModel();
        if (StringUtils.isNotBlank(result)) {
            model = JSONObject.parseObject(result, TerminalVideoParamsModel.class);
            model.setIsNew(true);
        }
        return Asserts.success(model);
    }
}
