package com.shxy.xymanager_service.service;

import com.shxy.xymanager_common.bean.ServiceBody;
import com.shxy.xymanager_common.model.LineAndGtAndChannelListModel;
import com.shxy.xymanager_common.model.LineListModel;
import com.shxy.xymanager_common.model.DyLineTreeListModel;
import com.shxy.xymanager_common.vo.*;

/**
 * 线路接口
 *
 * @author 晶晶
 */
public interface LineService {

    /**
     * 获取所有线路列表
     *
     * @return
     */
    ServiceBody<LineListModel> getLineList(PageVo vo);

    /**
     * 添加线路
     *
     * @return
     */
    ServiceBody<String> addLine(LineVo vo);

    /**
     * 删除线路
     *
     * @param vo
     * @return
     */
    ServiceBody<String> deleteLine(LineIdVo vo);

    /**
     * 修改线路
     *
     * @param vo
     * @return
     */
    ServiceBody<String> updateLine(UpdateLineVo vo);

    /**
     * 电压线路杆塔通道查询
     *
     * @param vo
     * @return
     */
    ServiceBody<LineAndGtAndChannelListModel> getLineAndGt(LineAndGtAndChannelVo vo);

    /**
     * 线路杆塔查询
     *
     * @param vo
     * @return
     */
    ServiceBody<LineAndGtAndChannelListModel> getLineAndGtList(LineAndGtVo vo);

}
