package com.shxy.xymanager_service.service;

import com.shxy.xymanager_common.bean.ServiceBody;
import com.shxy.xymanager_common.model.DyLineTreeAndChannelListModel;
import com.shxy.xymanager_common.model.TerminalAllChannelListModel;
import com.shxy.xymanager_common.model.TerminalChannelListModel;
import com.shxy.xymanager_common.model.TerminalChannelMapperListModel;
import com.shxy.xymanager_common.vo.*;

/**
 * 通道接口
 *
 * @author 晶晶
 */
public interface TerminalChannelService {

    /**
     * 新增通道列表
     *
     * @return
     */
    ServiceBody<String> addChannelList(TerminalChannelVo vo);

    /**
     * 修改通道列表
     *
     * @return
     */
    ServiceBody<String> updateChannelList(UpdateTerminalChannelVo vo);

    /**
     * 删除通道列表
     *
     * @return
     */
    ServiceBody<String> deleteChannelList(TerminalChannelIdListVo vo);

    /**
     * 获取所有通道列表分页
     *
     * @return
     */
    ServiceBody<TerminalChannelListModel> getChannelList(PageVo vo);
    /**
     * 获取所有通道列表
     *
     * @return
     */
    ServiceBody<TerminalAllChannelListModel> getAllChannelList();

    /**
     * 获取通道
     *
     * @return
     */
    ServiceBody<TerminalChannelMapperListModel> getChannelByTermid(TerminalIdVo vo);

    /**
     * 获取所有通道树状列表
     *
     * @return
     */
    ServiceBody<DyLineTreeAndChannelListModel> getChannelTreeList(TerminalIdVo vo);

}
