package com.shxy.xymanager_service.service;

import cn.hutool.core.date.DateTime;
import com.shxy.xymanager_common.bean.ServiceBody;
import com.shxy.xymanager_common.model.TerminalGpsModel;
import com.shxy.xymanager_common.vo.TerminalGpsVo;
import com.shxy.xymanager_common.vo.TerminalIdAndGpsVo;
import com.shxy.xymanager_common.vo.TerminalIdVo;

/**
 * 设备Gps接口
 *
 * @author 晶晶
 */
public interface TerminalGpsService {

    /**
     *
     * 开启关闭GPS
     * @param vo
     * @return
     */
    ServiceBody<String> setTermGPS(TerminalIdAndGpsVo vo);

    /**
     * 获取GPS
     * @param vo
     * @return
     */
    ServiceBody<TerminalGpsModel> getTermGPS(TerminalIdVo vo);

    ServiceBody<DateTime> getReturnedGPS(TerminalGpsVo vo);

    /**
     * 获取数据库最新装置的gps信息
     * @param termId
     * @return
     */
    ServiceBody<TerminalGpsModel> getTermLastGPSPosition( Integer termId);
}
