package com.shxy.xymanager_service.service;

import com.shxy.xymanager_common.bean.ServiceBody;
import com.shxy.xymanager_common.model.*;
import com.shxy.xymanager_common.vo.*;

import java.util.Date;

/**
 * 装置图片接口
 *
 * @author 晶晶
 */
public interface TerminalPhotoService {
    /**
     * 根据通道和装置id获取图片接口
     *
     * @return
     */
    ServiceBody<TerminalPhotoListModel> getTerminalPhotoList(String requestIp, TerminalAndChannelIdAndTimeVo vo);

    /**
     * 图片查询
     *
     * @param requestIp
     * @param vo
     * @return
     */
    ServiceBody<TerminalPhotoSelectListModel> getPhotoList(String requestIp, TerminalPhotoSelectVo vo);

 /**
     * 根据装置id获取图片接口提供给第三方
     *
     * @return
     */
    ServiceBody<TerminalPhotoListForOpenModel> getPhotoListForOpen(String requestIp, OpenTerminalAndTimeVo vo);

    /**
     * 根据通道和装置id获取最新图片
     *
     * @return
     */
    ServiceBody<Date> getLatestPhoto(TerminalPhotoVo vo);


    /**
     * 获取最新图片
     *
     * @return
     */
    ServiceBody<Boolean> getReturnedPhoto(ReturnedPhotoVo vo);

    /**
     * 图片轮询接口
     *
     * @return
     */
    ServiceBody<TerminalPhotosModel> getPhotoBanner(String requestIp, PageVo vo);

    /**
     * 查询图片采集参数列表
     *
     * @return
     */
    ServiceBody<GetModel> getPhotoQueryParam(ReturnedPhotoParamsGetVo vo);

    ServiceBody<String> addOrUpdatePhotoParams(PhotoParamsVo vo);

    ServiceBody<TerminalPhotosParamsModel>  getLastedPhotoQueryParam(ReturnedPhotoParamsVo vo);

    ServiceBody<TerminalScheduleRuleTimeListModel> selectPhotoTime(TerminalReqPhotoTimeVo vo);

    ServiceBody<GetModel> selectPhotoTimeGet(TerminalPhotoTimeGetVo vo);

    /**
     * 历史图片接口
     *
     * @param requestIp
     * @param vo
     * @return
     */
    ServiceBody<TerminalPhotoSelectListModel> getHistoryList(String requestIp, TermIdAndChannelIdVo vo);

}
