package com.shxy.xymanager_service.service;

import com.shxy.xymanager_common.bean.ServiceBody;
import com.shxy.xymanager_common.model.*;
import com.shxy.xymanager_common.vo.*;

/**
 * 任务规则接口
 *
 * @author 晶晶
 */
public interface TerminalScheduleRuleService {
    /**
     * 获取所有任务规则接口
     *
     * @return
     */
    ServiceBody<TerminalScheduleRuleListModel> getScheduleRuleList(PageVo vo);

    /**
     * 获取单个任务规则
     *
     * @param vo
     * @return
     */
    ServiceBody<TerminalScheduleRuleModel> getSingleScheduleRule(ScheduleIdVo vo);

    /**
     * 添加任务规则接口
     *
     * @return
     */
    ServiceBody<String> addSchedulelRuleList(ScheduleListVo vo);

    /**
     * 修改任务规则接口
     *
     * @param vo
     * @return
     */
    ServiceBody<String> updateSchelduleRule(UpdateScheduleListVo vo);

    /**
     * 删除任务规则接口
     *
     * @param vo
     * @return
     */
    ServiceBody<String> deleteSchelduleRule(ScheduleIdListVo vo);

    /**
     * 关联任务规则接口
     *
     * @param vo
     * @return
     */
    ServiceBody<GetScheduleRequestIdListModel> relateSchelduleRule(RelateTerminalListRuleIdVo vo);

    /**
     * 查询规则下发状态
     *
     * @param vo
     * @return
     */
    ServiceBody<ScheduleRequestIdListModel> checkScheldule(RequestIdListVo vo);

    /**
     * 获取通道的规则时间表
     * @param vo
     * @return
     */
    ServiceBody<TerminalScheduleRuleTimeListModel> getChannelSchelduleRule(TerminalAndChannelIdVo vo);

    /**
     * 调用CMA获取装置的实际拍照时间表
     * @param vo
     * @return
     */
    ServiceBody<GetModel> cmaSchelduleDetials(TerminalAndChannelIdVo vo);

    /**
     * 获取Cma调用实际拍照时间的结果
     * @param vo
     * @return
     */
    ServiceBody<TerminalScheduleRuleTimeListModel> getCmaSchelduleDetials(RequestIdVo vo);

}
