package com.shxy.xymanager_service.service;

import com.shxy.xymanager_common.bean.ServiceBody;
import com.shxy.xymanager_common.model.*;
import com.shxy.xymanager_common.vo.*;

/**
 * 设备接口
 *
 * @author 晶晶
 */
public interface TerminalService {
    /**
     * 获取所有设备接口
     *
     * @return
     */
    ServiceBody<TerminalListModel> getTerminalList(TerminalSelectVo vo);

    /**
     * 添加设备信息
     *
     * @return
     */
    ServiceBody<String> addTerminal(TerminalVo vo);


    /**
     * 修改设备信息
     *
     * @return
     */
    ServiceBody<String> updateTerminal(UpdateTerminalVo vo);

    /**
     * 删除设备
     *
     * @param vo
     * @return
     */
    ServiceBody<String> deleteTerminal(TerminalIdListVo vo);

    /**
     * 装置复位
     *
     * @param cmId
     * @return
     */
    ServiceBody<String> resetTerminal(String cmId);


    ServiceBody<TerminalStatusModel> getTerminalStatus(Integer termId);

    ServiceBody<TerminalStatusInfoModel> getLastedTerminalStatus(TerminalStatusVo vo);

    /**
     * 修改装置ID
     *
     * @param vo
     * @return
     */
    ServiceBody<TerminalUpdateModel> updateTerminalId(TerminalIdUpdateVo vo);

    /**
     * 根据通道编号获取设备列表
     *
     * @param vo
     * @return
     */
    ServiceBody<DyLineAndTermModel> getTermListByChannel(TerminalChannelIdVo vo);

    /**
     * 根据通道编号触发查询装置ID
     *
     * @param vo
     * @return
     */
    ServiceBody<GetModel> terminalIdGet(TerminalIdUpdateVo vo);

    /**
     * 根据请求ID查询装置ID
     *
     * @param requestId
     * @return
     */
    ServiceBody<TerminalIdModel> selectTerminalId(Integer requestId);

    ServiceBody<String> updateCoordinate(PhotoMarkVo vo);


    ServiceBody<PhotoMarkModel> getCoordinate(String requestIp, MarkReqVo vo);

    /**
     * 获取装置在线状态
     *
     * @param termId
     * @return
     */
    ServiceBody<TermStatusModel> getTermStatus(Integer termId);

    /**
     * 获取装置在数据库的最新信息
     *
     * @param termId
     * @return
     */
    ServiceBody<TerminalStatusInfoModel> getLastTermInfo(Integer termId);
}
